Update Firefox Now to Fix a Critical Flaw

You need to update your Firefox right now. This is to patch a zero-day vulnerability that could allow hackers to access your computer. So, if you’re a Firefox user, please update Firefox to the latest available version in order to safeguard your system. Why Do I Need to Update Firefox? Just two days after releasing Firefox 72, which introduced the option to delete your telemetry data, Mozilla released Firefox v72.0.1. This updated version fixes a critical security flaw which Mozilla admits is already being abused in the wild. Mozilla describes the issue as an “IonMonkey type confusion with StoreElementHole and...Read the...